<?php
/*---------------------------------------------------+
| Watermark & Massupload mod v.1.4
+----------------------------------------------------+
| Copyright  2002 - 2006 s4nder
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. 
+----------------------------------------------------*/

require_once "maincore.php";
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
 
if (isset($img_id) && isNum($img_id)) {
//Search for image properties
$result = dbquery(
"SELECT tp.*, ta.* FROM ".$db_prefix."photos tp
LEFT JOIN ".$db_prefix."photo_albums ta USING (album_id)
WHERE photo_id='$img_id' GROUP BY tp.photo_id
");
$data = dbarray($result);
//watermark's transparency (0-100) 
$transparency = 80; 
$photo_types = array(".gif",".jpg",".jpeg",".png");
$photo_ext = strtolower(strrchr(PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : "").$data['photo_filename'],"."));
//source photo
$source_photo = PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : "").$data['photo_filename'];			
//Check if the file is an image file and witch extension it has...
//Then create image
if (in_array($photo_ext, $photo_types)) 
	{
		if ($photo_ext == ".gif") 
		{ 
			header("Content-Type: image/gif"); 
			$photo = imagecreatefromgif($source_photo);
		} elseif ($photo_ext == ".jpg" OR $photo_ext == ".jpeg") { 
			header("Content-Type: image/jpeg"); 
			$photo = imagecreatefromjpeg($source_photo);
		} elseif ($photo_ext == ".png") { 
			header("Content-Type: image/png"); 
			$photo = imagecreatefrompng($source_photo);
		} else {
		echo "File extension not valid";
		exit;
		}
	}	else {
		echo "File type not valid";
		exit;
		}
//Watermark
$logo = PHOTOS."watermarklarge.png";
$watermark = imagecreatefrompng($logo);
$watermark_width = imagesx($watermark); 
$watermark_height = imagesy($watermark);
//location of the watermark on the source image 
$size = getimagesize($source_photo);
$dest_x = ($size[0] - $watermark_width) - 5;
$dest_y = ($size[1] - $watermark_height) - 5;
//make the image (merge source image with watermark) 
imagecopymerge($photo, $watermark, $dest_x, $dest_y, 0, 0, $watermark_width, $watermark_height, $transparency);

/* OPTIONAL!!
//Display text in image about file info/ album info
$image_dim_x = imagesx($photo);
$image_dim_y = imagesy($photo);
$watermark_dim_x = imagesx($photo);
$watermark_dim_y = imagesy($photo);
$where_x = $image_dim_x - $watermark_dim_x;
$where_y = $image_dim_y - $watermark_dim_y - 5;
//Color info
$black = imagecolorallocate($photo, 0, 0, 0);
$white = imagecolorallocate($photo, 255, 255, 255);
$red = imagecolorallocate($photo, 255, 0, 0);
$yellow= imagecolorallocate($photo, 255, 255, 0);
//move text y
$mty1 = $image_dim_y - 50;
$mty2 = $image_dim_y - 34;
$mty3 = $image_dim_y - 20;
//album title
ImageString($photo, 5, 10, $mty1 - 1, $data['album_title'], $white);
ImageString($photo, 5, 10, $mty1 + 1, $data['album_title'], $white);
ImageString($photo, 5, 9, $mty1, $data['album_title'], $white);
ImageString($photo, 5, 11, $mty1, $data['album_title'], $white);
ImageString($photo, 5, 10, $mty1, $data['album_title'], $red);
//album info
ImageString($photo, 3, 10, $mty2 - 1, $data['album_info'], $black);
ImageString($photo, 3, 10, $mty2 + 1, $data['album_info'], $black);
ImageString($photo, 3, 9, $mty2, $data['album_info'], $black);
ImageString($photo, 3, 11, $mty2, $data['album_info'], $black);
ImageString($photo, 3, 10, $mty2, $data['album_info'], $yellow);
//photo name
ImageString($photo, 3, 10, $mty3 - 1, trimlink($data['photo_title'], 75), $black);
ImageString($photo, 3, 10, $mty3 + 1, trimlink($data['photo_title'], 75), $black);
ImageString($photo, 3, 9, $mty3, trimlink($data['photo_title'], 75), $black);
ImageString($photo, 3, 11, $mty3, trimlink($data['photo_title'], 75), $black);
ImageString($photo, 3, 10, $mty3, trimlink($data['photo_title'], 75), $white);
*/
//output the image
imagejpeg($photo);
//free memory 
imagedestroy($photo);
imagedestroy($watermark);
}

//
//Thumbnail Watermark integration....
//

elseif (isset($thumb_id)) {
//Search for thumbnail properties
$result = dbquery(
"SELECT tp.*, ta.* FROM ".$db_prefix."photos tp
LEFT JOIN ".$db_prefix."photo_albums ta USING (album_id)
WHERE photo_thumb1='$thumb_id' GROUP BY tp.photo_id
");
$data = dbarray($result);
//watermark's transparency (0-100) 
$transparency = 70; 
$photo_types = array(".gif",".jpg",".jpeg",".png");
$photo_ext = strtolower(strrchr(PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : "").$thumb_id,"."));
//source photo
$source_photo = PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : "").$data['photo_thumb1'];	
//Check if the file is an image file and witch extension it has...
//Then create image
if (in_array($photo_ext, $photo_types)) 
	{
		if ($photo_ext == ".gif") 
		{ 
			header("Content-Type: image/gif"); 
			$photo = imagecreatefromgif($source_photo);
		} elseif ($photo_ext == ".jpg" OR $photo_ext == ".jpeg") { 
			header("Content-Type: image/jpeg"); 
			$photo = imagecreatefromjpeg($source_photo);
		} elseif ($photo_ext == ".png") { 
			header("Content-Type: image/png"); 
			$photo = imagecreatefrompng($source_photo);
		} else {
		echo "File extension not valid";
		exit;
		}
	}	else {
		echo "File type not valid";
		exit;
		}
//Watermark
$logo = PHOTOS."watermarksmall.png";
$watermark = imagecreatefrompng($logo);
$watermark_width = imagesx($watermark); 
$watermark_height = imagesy($watermark);
//location of the watermark on the source image 
$size = getimagesize($source_photo);
$dest_x = ($size[0] - $watermark_width) - 5;
$dest_y = ($size[1] - $watermark_height) - 5;
//make the image (merge source image with watermark) 
imagecopymerge($photo, $watermark, $dest_x, $dest_y, 0, 0, $watermark_width, $watermark_height, $transparency);
//output the image
imagejpeg($photo);
//free memory 
imagedestroy($photo);
imagedestroy($watermark);
}

//
//Resized image Watermark integration....
//

elseif (isset($res_id)) {
//Search for thumbnail properties
$result = dbquery(
"SELECT tp.*, ta.* FROM ".$db_prefix."photos tp
LEFT JOIN ".$db_prefix."photo_albums ta USING (album_id)
WHERE photo_thumb2='$res_id' GROUP BY tp.photo_id
");
$data = dbarray($result);
//watermark's transparency (0-100) 
$transparency = 70; 
$photo_types = array(".gif",".jpg",".jpeg",".png");
$photo_ext = strtolower(strrchr(PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : "").$data['photo_thumb2'],"."));
//source photo
$source_photo = PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : "").$data['photo_thumb2'];	
//Check if the file is an image file and witch extension it has...
//Then create image
if (in_array($photo_ext, $photo_types)) 
	{
		if ($photo_ext == ".gif") 
		{ 
			header("Content-Type: image/gif"); 
			$photo = imagecreatefromgif($source_photo);
		} elseif ($photo_ext == ".jpg" OR $photo_ext == ".jpeg") { 
			header("Content-Type: image/jpeg"); 
			$photo = imagecreatefromjpeg($source_photo);
		} elseif ($photo_ext == ".png") { 
			header("Content-Type: image/png"); 
			$photo = imagecreatefrompng($source_photo);
		} else {
		echo "File extension not valid";
		exit;
		}
	}	else {
		echo "File type not valid";
		exit;
		}
//Watermark
$logo = PHOTOS."watermarknormal.png";
$watermark = imagecreatefrompng($logo);
$watermark_width = imagesx($watermark); 
$watermark_height = imagesy($watermark);
//location of the watermark on the source image 
$size = getimagesize($source_photo);
$dest_x = ($size[0] - $watermark_width) - 5;
$dest_y = ($size[1] - $watermark_height) - 5;
//make the image (merge source image with watermark) 
imagecopymerge($photo, $watermark, $dest_x, $dest_y, 0, 0, $watermark_width, $watermark_height, $transparency);
//output the image
imagejpeg($photo);
//free memory 
imagedestroy($photo);
imagedestroy($watermark);
}

?>
